#
# spec file for package openmotif21-libs (Version 2.1.30MLI4)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           openmotif21-libs
BuildRequires:  xorg-x11-devel
Version:        2.1.30MLI4
Release:        143.2
License:        Other License(s), see package
Group:          System/Libraries
AutoReqProv:  on
Conflicts:      lestif2
Summary:        Open Motif 2.1.30 Libraries
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
URL:            http://www.motifzone.net/
Source:         openmotif-2.1.30-4_MLI.src.tar.bz2
Patch:          motif.dif
Patch1:         motif_jdk_grab.patch
Patch2:         motif_bison.patch
Patch3:         motif-xpm.diff
Patch4:         motif-gcc4.patch
Patch5:         motif-sentinel.patch
Patch6:         motif-implicit_decl.patch

%description
This is the old version 2.1.30 Open Motif runtime environment.	It
includes the Motif version 2.1.30 shared libraries. This Motif version
is needed by Oracle (Forms&Reports, for example). The newer 2.2.x Motif
does not work and is not certified with Oracle.

Open Motif is a freely available version of the well-known Motif user
interface toolkit for open source operating systems.  This package was
built with the Metro Link sources.



%debug_package
%prep
%setup -q -n motif
%patch
%patch1
%patch2
%patch3
%patch4
%patch5 -p1
%patch6

%build
mkdir -p imports/x11
ln -sf /usr/X11R6/bin /usr/X11R6/include /usr/X11R6/lib imports/x11
make World CCOPTIONS="$RPM_OPT_FLAGS -fno-strict-aliasing"

%install
make install install.man DESTDIR="$RPM_BUILD_ROOT"
# remove everything not packaged
rm -rf $RPM_BUILD_ROOT/usr/X11R6/man
rm -rf $RPM_BUILD_ROOT/usr/X11R6/lib/lib*.a
rm -rf $RPM_BUILD_ROOT/usr/X11R6/lib/lib*.so
rm -rf $RPM_BUILD_ROOT/usr/X11R6/lib/X11
rm -rf $RPM_BUILD_ROOT/usr/X11R6/include
rm -rf $RPM_BUILD_ROOT/usr/X11R6/bin

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
/usr/X11R6/lib/libMrm.so.2.1
/usr/X11R6/lib/libUil.so.2.1
/usr/X11R6/lib/libXm.so.2.1
/usr/X11R6/lib/libMrm.so.2
/usr/X11R6/lib/libUil.so.2
/usr/X11R6/lib/libXm.so.2

%changelog -n openmotif21-libs
* Thu Jan 26 2006 - schwab@suse.de
- Don't build as root.
- Run ldconfig.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 19 2005 - ro@suse.de
- remove unneeded .so symlinks as well
* Fri Sep 23 2005 - ro@suse.de
- fix implicit declaration
* Thu Jun 16 2005 - meissner@suse.de
- use RPM_OPT_FLAGS -fnostrictaliasing. fixed sentinel problems.
* Tue May 17 2005 - schwab@suse.de
- Completely rewrite XPM patch.
* Tue May 03 2005 - ro@suse.de
- fix build with gcc-4
* Thu Sep 30 2004 - meissner@suse.de
- Fixed XPM security problem #43240.
* Thu Jul 01 2004 - bg@suse.de
- add defines for hppa
* Thu Jan 08 2004 - ro@suse.de
- fix build with current bison
* Fri Nov 28 2003 - ro@suse.de
- clean unpackaged files from build root
* Mon Nov 03 2003 - mha@suse.com
- New package: Libraries for old OpenMotif 2.1.30, required for
  running Oracle components that use Motif. The new 2.2.x OpenMotif
  does not work and is not certified for running Oracle.
